<div>
  <mat-form-field appearance="fill">
    <mat-label>Choisir un collaborateur</mat-label>
    <mat-select [formControl]="collaborateurControl">
      @for (collaborateur of collaborateurs$ | async; track collaborateur.id) {
        <mat-option [value]="collaborateur.id">
          {{ collaborateur.name }}
        </mat-option>
      }
    </mat-select>
  </mat-form-field>
  <button mat-icon-button (click)="openModalCollaborateur()">
    <mat-icon>add</mat-icon>
  </button>
</div>
<div>
  @if (collaborateurSelected$ | async; as collaborateur) {
    <mat-card>
      <mat-card-header>
        <mat-card-title>{{ collaborateur.name }} {{ collaborateur.lastName }}</mat-card-title>
        <mat-card-subtitle>ID: {{ collaborateur.id }}</mat-card-subtitle>
      </mat-card-header>
      <mat-card-content>
        <p>Nom complet : {{ collaborateur.name }} {{ collaborateur.lastName }}</p>
        <p>Identifiant : {{ collaborateur.id }}</p>
      </mat-card-content>
    </mat-card>
    <button mat-raised-button color="primary" (click)="openModalAddConges()">+ Ajoute un congés</button>
  }

</div>
